Bug 929168 - (CVE-2013-1747) CVE-2013-1747 ngircd: DoS (assertion failure, crash) via a KICK command for a user who is not on the associated channel
CVE-2013-1747 ngircd: DoS (assertion failure, crash) via a KICK command for a...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130315,repor...
: Security
Depends On: 929170 929171
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-29 07:27 EDT by Jan Lieskovsky
Modified: 2015-07-31 03:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: ngircd-20.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-29 07:27:47 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-1747 to the following vulnerability:

channel.c in ngIRCd 20 and 20.1 allows remote attackers to cause a denial of service (assertion failure and crash) via a KICK command for a user who is not on the associated channel.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1747
[2] http://arthur.barton.de/pipermail/ngircd-ml/2013-February/000623.html
[3] http://arthur.barton.de/pipermail/ngircd-ml/2013-February/000625.html
[4] https://arthur.barton.de/cgi-bin/gitweb.cgi?p=ngircd.git;h=0e63fb3fa7ac4ca048e8c2b648d2be3fd0572311
[5] http://ngircd.barton.de/doc/NEWS
Comment 1 Jan Lieskovsky 2013-03-29 07:29:14 EDT
This issue affects the versions of the ngircd package, as shipped with Fedora release of 18 and Fedora EPEL-6. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-03-29 07:30:07 EDT
Created ngircd tracking bugs for this issue

Affects: fedora-18 [bug 929170]
Affects: epel-6 [bug 929171]
Comment 3 Jan Lieskovsky 2013-03-29 07:34:23 EDT
Based on upstream ngIRCd 20.2 notification:
  http://arthur.barton.de/pipermail/ngircd-ml/2013-February/000623.html

this issue is reported to affect only ngIRCd versions of "ngIRCd 20 and 20.1 (Please note that all releases before 20 are NOT affected by the bug mentioned
above)".

therefore I didn't create a child bug for Fedora-17 and EPEL-5. But if you are of the opinion that upstream patch:
  https://arthur.barton.de/cgi-bin/gitweb.cgi?p=ngircd.git;a=commitdiff;h=0e63fb3fa7ac4ca048e8c2b648d2be3fd0572311;hp=3e723318961b452c851eda2bec2a322fc249bfce

after backport should be applied against Fedora-17 and EPEL-5 versions too, and would need child bugs for those versions, let me know and I will create them.

Thank you, Jan.
Comment 4 Fedora Update System 2013-04-07 20:27:00 EDT
ngircd-20.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-04-12 20:12:49 EDT
ngircd-20.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.